Package org.apache.struts2.mock

# Class MockInterceptor

java.lang.Object
org.apache.struts2.interceptor.AbstractInterceptor
org.apache.struts2.mock.MockInterceptor

All Implemented Interfaces:
  `Serializable`, `ConditionalInterceptor`, `Interceptor`

public class MockInterceptor extends AbstractInterceptor
Mock for an `Interceptor`.

Author:
  Jason Carreira
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_FOO_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MockInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getExpectedFoo()`
  `String`
  `getFoo()`
  `int`
  `hashCode()`
  `String`
  `intercept(ActionInvocation invocation)`
  Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the DefaultActionInvocation or to short-circuit the processing and just return a String return code.
  `boolean`
  `isExecuted()`
  `void`
  `setExpectedFoo(String expectedFoo)`
  `void`
  `setFoo(String foo)`

  ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

  `destroy, init, setDisabled, shouldIntercept`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FOO_VALUE

    public static final String DEFAULT_FOO_VALUE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MockInterceptor

    public MockInterceptor()

- ## Method Details

  - ### isExecuted

    public boolean isExecuted()

  - ### setExpectedFoo

    public void setExpectedFoo(String expectedFoo)

  - ### getExpectedFoo

    public String getExpectedFoo()

  - ### setFoo

    public void setFoo(String foo)

  - ### getFoo

    public String getFoo()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### intercept

    public String intercept(ActionInvocation invocation) throws Exception
    Allows the Interceptor to do some processing on the request before and/or after the rest of the processing of the request by the DefaultActionInvocation or to short-circuit the processing and just return a String return code.
    Specified by:
      `intercept` in interface `Interceptor`
    Specified by:
      `intercept` in class `AbstractInterceptor`
    Parameters:
      `invocation` - the action invocation
    Returns:
      the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
    Throws:
      `Exception` - any system-level error, as defined in `Action.execute()`.